﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using IDAL;
using Models;
using System.Data;
using System.Data.OleDb;
using System.Configuration;

namespace DAL.Access
{
    class AccessHelper
    {
        private static readonly string connString = ConfigurationManager.ConnectionStrings["AccessConnString"].ToString();
        public static OleDbDataReader GetReader(string sql)
        {
            OleDbConnection conn = new OleDbConnection(connString);
            OleDbCommand cmd = new OleDbCommand(sql, conn);
            try
            {
                conn.Open();
                return cmd.ExecuteReader(CommandBehavior.CloseConnection);
            }
            catch (OleDbException ex)
            {
                if (conn.State == ConnectionState.Open)
                    conn.Close();
                throw new Exception("应用程序与数据库连接异常：" + ex.Message);
            }
            catch (Exception ex)
            {
                if (conn.State == ConnectionState.Open)
                    conn.Close();
                throw ex;
            }
        }
    }
}
