﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using BLL;
using Models;

namespace AbstractFactoryDemo
{
    public partial class FrmQuery : Form
    {
        public FrmQuery()
        {
            InitializeComponent();

            List<StudentClass> stuClass = new List<StudentClass>()
            {
                new StudentClass {ClassId=-1,ClassName="全部班级" }
            } ;
            stuClass.AddRange(new ClassManager().GetAllClasses());

            this.cboStudentClass.DataSource = stuClass;
            this.cboStudentClass.DisplayMember = "ClassName";
            this.cboStudentClass.ValueMember = "ClassId";

            this.dgvStudentList.AutoGenerateColumns = false;
        }

        private void btnQuery_Click(object sender, EventArgs e)
        {
            this.dgvStudentList.DataSource = new StudentManager().GetStudentsByClassId(Convert.ToInt32(this.cboStudentClass.SelectedValue));
        }
    }
}
