﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Configuration;
using IDAL;
using System.Reflection;

namespace DALFactory
{
    public class DataAccess
    {
        private static string dbType = "DAL."+ConfigurationManager.AppSettings["DBType"].ToString();

        public static IDAL.IClassService CreateClassService()
        {
            return (IDAL.IClassService)Assembly.Load("DAL").CreateInstance(dbType + ".ClassService");
        }

        public static IDAL.IStudentService CreateStudentService()
        {
            return (IDAL.IStudentService)Assembly.Load("DAL").CreateInstance(dbType + ".StudentService");
        }
    }
}
